# `salt-syndic`

The Salt syndic daemon, a special minion that passes through commands from a higher master

## Synopsis

    salt-syndic [ options ]

## Description

The Salt syndic daemon, a special minion that passes through commands from a higher master.

## Options

--version

  Print the version of Salt that is running.

--versions-report

  Show program's dependencies and version number, and then exit

-h, --help

  Show the help message and exit

-c CONFIG_DIR, --config-dir=CONFIG_dir

  The location of the Salt configuration directory. This directory contains the configuration files for Salt master and minions. The default location on most systems is `/etc/salt`.

-u USER, --user=USER

  Specify user to run salt-syndic

-d, --daemon

  Run salt-syndic as a daemon

--pid-file PIDFILE

  Specify the location of the pidfile. Default: /var/run/salt-syndic.pid

### Logging Options

Logging options which override any settings defined on the configuration files.

-l LOG_LEVEL, --log-level=LOG_LEVEL

  Console logging log level. One of `all`, `garbage`, `trace`, `debug`, `info`, `warning`, `error`, `quiet`. Default: `warning`.

--log-file=LOG_FILE

  Log file path. Default: /var/log/salt/master.

--log-file-level=LOG_LEVEL_LOGFILE

  Logfile logging log level. One of `all`, `garbage`, `trace`, `debug`, `info`, `warning`, `error`, `quiet`. Default: `warning`.

## See also

salt(1) salt-master(1) salt-minion(1)